/* 	Barbara Sianesi
	POLICY EVALUATION METHODS Course
	
	STATA SESSION 1 -- NAIVE NON-EXPERIMENTAL ESTIMATOR  
***********************************************************/
	
// 	Get acquainted with the data
//************************************************************************

use nsw_psid, clear

describe
tabulate treated
summarize


// 1.	Compare the characteristics of the NSW treated group
//	and the non-experimental PSID comparison group      			
//************************************************************************
	
pstest age educ black hispanic married nodegree re75, raw tr(tr) graph
pstest age educ black hispanic married nodegree re75, raw tr(tr) scatter

pstest re75, raw tr(tr) box outl
pstest re75, raw tr(tr) box 

	
// 2.	Naive non-experimental estimator   				      
//*************************************************************************
	
use nsw_psid, clear

summarize re78 if treated==1
summarize re78 if treated==0
display 5976.352-21553.92 
	
regress re78 treated
	