/* 	Barbara Sianesi
	POLICY EVALUATION METHODS Course
	
	STATA SESSION 3 -- INSTRUMENTAL VARIABLES	 
*************************************************/

/* married as instrument */
	
// 1. Wald estimator    						      
//************************************************************************

use nsw_psid, clear

summarize re78 if married==1 
scalar m1=r(mean)
summarize re78 if married==0 
scalar m0=r(mean)
summarize treated if married==1 
scalar p1=r(mean)
summarize treated if married==0 
scalar p0=r(mean)

display (m1-m0)/(p1-p0)

ivregress 2sls re78 (treated = married), first robust
	

// 2. 2SLS estimator    							
//************************************************************************

regress treated age educ black hisp nodeg re75 married
testparm married
predict trhat	
regress re78 trhat age educ black hisp nodeg re75

ivregress 2sls re78 age educ black hisp nodeg re75 (treated = married), first robust
	
regress treated age educ black hisp nodeg re75 married
predict vhat, resid	
regress re78 treated age educ black hisp nodeg re75 vhat

