/* 	Barbara Sianesi
	POLICY EVALUATION METHODS Course
	
	STATA SESSION 5 -- ORDINARY LEAST SQUARES	 
*************************************************/
	more

	
u nsw_psid, clear

regress re78 treated age age2 black hispanic married, robust 
regress re78 treated educ nodegree, robust 
regress re78 treated re75, robust 
regress re78 treated age age2 black hispanic married educ nodegree re75, robust


/* Allow for heterogeneous impacts */
	
generate age_D   = age*treated
generate age2_D  = age2*treated
generate educ_D  = educ*treated
generate black_D = black*treated
generate hisp_D  = hispanic*treated
generate marr_D  = married*treated
generate nodeg_D = nodegree*treated
generate re75_D  = re75*treated

regress re78 treated *_D age age2 black hispanic married educ nodegree re75, robust 
	
testparm *_D
testparm age_D age2_D black_D hisp_D marr_D
testparm educ_D nodeg_D
testparm re75_D

film re78 treated age age2 black hispanic married educ nodegree re75, show robust
film re78 treated re75, show linear(age age2 black hispanic married educ nodegree) robust

