/* 	Barbara Sianesi
	POLICY EVALUATION METHODS Course
	
	STATA SESSION 6 -- MATCHING METHODS	 
*******************************************/

// ATNT      					      
//*******	
use nsw_psid, clear

gen treat0 = 1-treated
	
probit treat0 age black hispanic married educ nodegree re75
predict score

psgraph, treated(treat0) pscore(score) bin(50)
pstest score, box raw tr(treat0)


// Nearest neighbour with replacement without caliper         
//**********************************************************
psmatch2 treat0, pscore(score) outcome(re78)

tab _weight if treat0==0	
sum _pdif, d

pstest age black hispanic married educ nodegree re75, both scatter


// Mahalanobis-metric matching (augmented)				
//**********************************************************
psmatch2 treat0, mahal(score age black hispanic married educ nodegree re75) outcome(re78)    	
pstest age black hispanic married educ nodegree re75, both scatter
pstest re75, both box outlier
	

// Kernel matching        						
//**********************************************************
psmatch2 treat0, pscore(score) outcome(re78) kernel common 	
pstest age black hispanic married educ nodegree re75, both scatter  
	
// You can use psmatch2 and pstest directly:
psmatch2 treated age black hispanic married educ nodegree re75, outcome(re78) kernel ate qui  
pstest age black hispanic married educ nodegree re75, atu both scatter 

// Comparing kernel matching and FILM estimates
psmatch2 treated age black hispanic married educ nodegree re75, outcome(re78) kernel ate qui  
film re78 treated age black hispanic married educ nodegree re75, ate robust
