/* 	Barbara Sianesi
	POLICY EVALUATION METHODS Course
	
	STATA SESSION 7a -- LONGITUDINAL METHODS: BA & DiD  */
//***********************************************************

	
//*****************************
// Before-After   					
//*****************************

use nsw_psid, clear
		
generate dre = re78 - re75
regress dre if treated==1
ttest re78=re75 if treated==1
	
//******************************
// Difference-in-Differences  				
//******************************
	
use nsw_psid, clear

generate dre = re78 - re75
regress dre treated
	
/* Allowing trend to depend on age	*/
regress dre treated age age2

/* Allowing trend to depend on pre-program earnings */
regress dre  treated re75
regress re78 treated re75
	

// now replicating DiD estimate controlling (linearly) for age by stacking the data
regress dre treated age, robust  
	
generate id=_n
expand 2
bysort id: generate time=1 if _n==1
bysort id: replace  time=0 if _n==_N
generate re=re78 if time==1
replace  re=re75 if time==0
generate DT = treated*time
generate ageT  = age*time
list id treated time re re75 re78 DT age ageT educ if id==1 | id==117, noob sep(2)
regress re DT treated time age ageT, cluster(id) 
/* Compare to */
regress re DT treated time age, cluster(id) 
regress re DT treated time, cluster(id)	
	

use nsw_psid, clear
generate dre = re78 - re75

// Full model - parametric
regress dre treated age educ black hispanic married nodegree, robust  

// Full model - non-parametric	
psmatch2 treated age educ black hispanic married nodegree, outc(dre) qui	
teffects psmatch (dre) (treat age black hispanic married educ nodegree, probit), atet
	

