/* 	Barbara Sianesi
	POLICY EVALUATION METHODS Course
	
	STATA SESSION 7b -- -- LONGITUDINAL METHODS: SYNTHETIC CONTROL */
//*********************************************************************

ssc install synth, replace 

use smoking, clear

desc
	
ta state

list if state==1 | state==3, noob
	
tsset state year

synth cigsale beer(1984(1)1988) lnincome retprice age15to24 cigsale(1988) cigsale(1980) cigsale(1975), trunit(3) trperiod(1989) xperiod(1980(1)1988) nested fig keep(results) replace

use results, clear

desc

list
twoway line _Y_treated _Y_synthetic _time, xline(1988, lc(black) lpattern(dash) lw(thin)) ylab(40(20)140) lc(black  black) lw(medthick medthick) lp(solid dash) xlab(1970(5)2000)

gen effect =  _Y_treated -_Y_synthetic
twoway line effect _time, xline(1988, lc(black) lpattern(dash) lw(thin))  lc(black) lw(medthick) ylab(-30(10)30) xlab(1970(5)2000) yline(0, lc(black) lpattern(dash) lw(medthick))


	